LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
LockEntry Struct Referencepublished

defines the types of locks that can be used with a resource. More...

`import"LockEntry.idl";`

Inheritance diagram for LockEntry:

## Public Attributes
LockScope | Scope
| defines the lock's scope. More...
LockType | Type
| defines the type of the lock. More...

## Detailed Description

defines the types of locks that can be used with a resource.

## Member Data Documentation

## ◆ Scope

LockScope Scope

defines the lock's scope.

## ◆ Type

LockType Type

defines the type of the lock.

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/LockEntry.idl